Taken from Fedora, required to make liblzf respect proper directories

https://src.fedoraproject.org/rpms/liblzf/blob/master/f/liblzf-3.6-autoconf-20140314.patch

diff -uNr liblzf-3.6.ORIG/bootstrap.sh liblzf-3.6/bootstrap.sh
--- liblzf-3.6.ORIG/bootstrap.sh	1970-01-01 00:00:00.000000000 +0000
+++ liblzf-3.6/bootstrap.sh	2014-03-13 08:10:49.132000000 +0000
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -x
+mkdir -p config
+aclocal -I config
+#aclocal-1.10 -I config
+autoheader
+libtoolize --automake
+automake  --add-missing --copy --foreign
+#automake-1.10  --add-missing --copy
+autoconf
diff -uNr liblzf-3.6.ORIG/config.h.in liblzf-3.6/config.h.in
--- liblzf-3.6.ORIG/config.h.in	2014-03-13 08:10:30.234000000 +0000
+++ liblzf-3.6/config.h.in	2014-03-13 08:10:49.133000000 +0000
@@ -1,16 +1,89 @@
-/* config.h.in.  Generated automatically from configure.in by autoheader 2.13.  */
+/* config.h.in.  Generated from configure.ac by autoheader.  */
 
-/* Define to empty if the keyword does not work.  */
-#undef const
+/* Define to 1 if you have the <dlfcn.h> header file. */
+#undef HAVE_DLFCN_H
+
+/* Define to 1 if you have the <errno.h> header file. */
+#undef HAVE_ERRNO_H
+
+/* Define to 1 if you have the <fcntl.h> header file. */
+#undef HAVE_FCNTL_H
+
+/* Define to 1 if you have the <getopt.h> header file. */
+#undef HAVE_GETOPT_H
+
+/* Define to 1 if you have the `getopt_long' function. */
+#undef HAVE_GETOPT_LONG
+
+/* Define to 1 if you have the <inttypes.h> header file. */
+#undef HAVE_INTTYPES_H
+
+/* Define to 1 if you have the <limits.h> header file. */
+#undef HAVE_LIMITS_H
+
+/* Define to 1 if you have the <memory.h> header file. */
+#undef HAVE_MEMORY_H
+
+/* Define to 1 if you have the <stdint.h> header file. */
+#undef HAVE_STDINT_H
+
+/* Define to 1 if you have the <stdio.h> header file. */
+#undef HAVE_STDIO_H
+
+/* Define to 1 if you have the <stdlib.h> header file. */
+#undef HAVE_STDLIB_H
+
+/* Define to 1 if you have the <strings.h> header file. */
+#undef HAVE_STRINGS_H
+
+/* Define to 1 if you have the <string.h> header file. */
+#undef HAVE_STRING_H
 
-/* Define if you have the ANSI C header files.  */
+/* Define to 1 if you have the <sys/stat.h> header file. */
+#undef HAVE_SYS_STAT_H
+
+/* Define to 1 if you have the <sys/types.h> header file. */
+#undef HAVE_SYS_TYPES_H
+
+/* Define to 1 if you have the <unistd.h> header file. */
+#undef HAVE_UNISTD_H
+
+/* Define to the sub-directory in which libtool stores uninstalled libraries.
+   */
+#undef LT_OBJDIR
+
+/* Define to the address where bug reports for this package should be sent. */
+#undef PACKAGE_BUGREPORT
+
+/* Define to the full name of this package. */
+#undef PACKAGE_NAME
+
+/* Define to the full name and version of this package. */
+#undef PACKAGE_STRING
+
+/* Define to the one symbol short name of this package. */
+#undef PACKAGE_TARNAME
+
+/* Define to the home page for this package. */
+#undef PACKAGE_URL
+
+/* Define to the version of this package. */
+#undef PACKAGE_VERSION
+
+/* Define to 1 if you have the ANSI C header files. */
 #undef STDC_HEADERS
 
-/* The number of bytes in a int.  */
-#undef SIZEOF_INT
+/* Number of bits in a file offset, on hosts where this is settable. */
+#undef _FILE_OFFSET_BITS
+
+/* Define for large files, on AIX-style hosts. */
+#undef _LARGE_FILES
 
-/* The number of bytes in a long.  */
-#undef SIZEOF_LONG
+/* Define to empty if `const' does not conform to ANSI C. */
+#undef const
 
-/* The number of bytes in a short.  */
-#undef SIZEOF_SHORT
+/* Define to `__inline__' or `__inline' if that's what the C compiler
+   calls it, or to nothing if 'inline' is not supported under any name.  */
+#ifndef __cplusplus
+#undef inline
+#endif
diff -uNr liblzf-3.6.ORIG/configure.ac liblzf-3.6/configure.ac
--- liblzf-3.6.ORIG/configure.ac	2014-03-13 08:10:30.233000000 +0000
+++ liblzf-3.6/configure.ac	2014-03-13 08:10:49.133000000 +0000
@@ -1,9 +1,65 @@
-AC_INIT
-AC_CONFIG_SRCDIR([lzfP.h])
+AC_INIT(lzf.c)
+
+AC_CONFIG_AUX_DIR(config)
+
+AC_CANONICAL_SYSTEM
+AM_CONFIG_HEADER(config.h)
+AC_CHECK_HEADERS(getopt.h)
+
+
+
+dnl uncomment when tagging
+#RELEASE=TRUE
+
+VER_ARCHITECTURE=3
+VER_MAJOR=6
+VER_MINOR=0
+VER_PATCH=0
+if test "A" = A$RELEASE; then
+    VER_PATCH=${VER_PATCH}_`date '+20%y%m%d%H'`
+fi
+
+AM_INIT_AUTOMAKE(liblzf,$VER_ARCHITECTURE.$VER_MAJOR.$VER_MINOR,"http://software.schmorp.de/pkg/liblzf")
+AC_SUBST(VER_ARCHITECTURE)
+AC_SUBST(VER_MAJOR)
+AC_SUBST(VER_MINOR)
+AC_SUBST(VER_PATCH)
+
+LIBRARY_VERSION="1:0:0"
+
+AC_SUBST(LIBRARY_VERSION)
+
+
+#
+# Wall
+#
+AC_CACHE_CHECK([for maximum warnings compiler flag],
+  ac_cv_cwflag,
+[case "${CC-cc}" in
+  *gcc*) ac_cv_cwflag="-Wall -pedantic -pipe -O3 -funroll-all-loops";;
+  *)
+  ;;
+esac])
+AC_SUBST([CWFLAG], [$ac_cv_cwflag])
+
+AM_PROG_LIBTOOL
+AC_PROG_LN_S
+AC_CHECK_HEADERS([limits.h])
+AC_CHECK_HEADERS([errno.h])
+AC_CHECK_HEADERS([fcntl.h])
+AC_CHECK_HEADERS([stdio.h])
+LT_INIT
+
+AC_CONFIG_SRCDIR([lzf_c.c])
+
+
+if test "${prefix}" = NONE ; then
+    liblzf_prefix=/usr/local
+else
+    liblzf_prefix=${prefix}
+fi
 
-AC_CONFIG_HEADER(config.h)
 
-AC_GNU_SOURCE
 AC_SYS_LARGEFILE
 AC_PROG_CC
 AC_PROG_RANLIB
@@ -14,12 +70,6 @@
 AC_C_INLINE
 AC_CHECK_HEADERS(getopt.h)
 AC_CHECK_FUNCS(getopt_long)
+AC_SUBST(ac_aux_dir)
 
-if test "$GCC" = yes; then
-   CFLAGS="$CFLAGS -O3 -funroll-all-loops"
-else
-   AC_MSG_RESULT(no gcc)
-fi
-
-AC_CONFIG_FILES([Makefile])
-AC_OUTPUT
+AC_OUTPUT(Makefile liblzf.pc)
diff -uNr liblzf-3.6.ORIG/liblzf.pc.in liblzf-3.6/liblzf.pc.in
--- liblzf-3.6.ORIG/liblzf.pc.in	1970-01-01 00:00:00.000000000 +0000
+++ liblzf-3.6/liblzf.pc.in	2014-03-13 08:10:49.134000000 +0000
@@ -0,0 +1,11 @@
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+libdir=@libdir@
+includedir=@includedir@
+
+Name: liblzf
+Description: Small data compression library
+URL: http://oldhome.schmorp.de/marc/liblzf.html
+Version: @VERSION@
+Libs: -L${libdir} -llzf
+Cflags: -I${includedir}
diff -uNr liblzf-3.6.ORIG/Makefile.am liblzf-3.6/Makefile.am
--- liblzf-3.6.ORIG/Makefile.am	1970-01-01 00:00:00.000000000 +0000
+++ liblzf-3.6/Makefile.am	2014-03-13 08:12:06.195000000 +0000
@@ -0,0 +1,74 @@
+$(PROGRAMS): $(LDEPS)
+
+
+
+h_sources = lzf.h lzfP.h
+c_sources = lzf_c.c \
+    lzf_d.c \
+    crc32.h \
+    lzfP.h
+
+
+library_includedir="$(includedir)"
+
+
+INCLUDES = -I$(includedir) -DLOCALEDIR=\"$(localedir)\"
+
+library_include_HEADERS = $(h_sources)
+
+lib_LTLIBRARIES =  liblzf.la
+
+liblzf_la_SOURCES = $(c_sources)
+liblzf_la_LDFLAGS = -no-undefined -version-info $(LIBRARY_VERSION)
+
+bin_PROGRAMS = lzf
+lzf_SOURCES = lzf.c
+lzf_LDADD = $(LDADDS) liblzf.la
+topdir=@RPM_DIR@
+
+
+AUX_DIST             =  $(ac_aux_dir)/config.guess \
+                        $(ac_aux_dir)/config.sub \
+                        $(ac_aux_dir)/install-sh \
+                        $(ac_aux_dir)/ltmain.sh \
+                        $(ac_aux_dir)/missing  \
+                        $(ac_aux_dir)/ltconfig \
+                        $(ac_aux_dir)/ltmain.sh 
+
+MAINTAINERCLEANFILES = Makefile.in aclocal.m4 configure config-h.in \
+                        stamp-h.in $(AUX_DIST)
+
+ACLOCAL              = aclocal -I $(ac_aux_dir)
+
+
+dist-hook:
+	(cd $(distdir); \
+	if [ -a $(ac_aux_dir) ]; then \
+		echo "config exist!"; \
+	else \
+		mkdir $(ac_aux_dir); \
+	fi)
+	(if [ -a $(ac_aux_dir)/depcomp ]; then \
+		echo "depcomp exist!"; \
+	else \
+		touch $(ac_aux_dir)/depcomp; \
+	fi)
+	for file in $(AUX_DIST) $(AUX_DIST_EXTRA); do \
+		cp $$file $(distdir)/$$file; \
+	done
+
+docfiles = \
+    LICENSE \
+    Changes \
+    README
+
+
+csCLZFfiles = \
+    cs/CLZF.cs \
+    cs/README
+
+EXTRA_DIST = $(docfiles) $(csCLZFfiles) bootstrap.sh 
+
+pkgconfigdir = $(libdir)/pkgconfig
+pkgconfig_DATA = liblzf.pc
+
diff -uNr liblzf-3.6.ORIG/Makefile.in liblzf-3.6/Makefile.in
--- liblzf-3.6.ORIG/Makefile.in	2014-03-13 08:10:30.233000000 +0000
+++ liblzf-3.6/Makefile.in	2014-03-13 08:13:08.090000000 +0000
@@ -41,6 +41,7 @@
 	$(INSTALL) -m 755 lzf $(bindir)
 	$(INSTALL) -d $(includedir)
 	$(INSTALL_DATA) lzf.h $(includedir)
+	$(INSTALL_DATA) lzfP.h $(includedir)
 	$(INSTALL) -d $(libdir)
 	$(INSTALL_DATA) liblzf.a $(libdir)
 
